Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06702 Interface Minor Always Oct 6, 2017, 16:29 Oct 7, 2017, 01:54
Tester wuemura View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Suspended OS Linux (64-bit)
Status [?] Closed Driver
Version N/A Fixed in Version 0.191 Build 64-bit
Summary 06702: Unknown numbers showing up at the right side panel
Description Unknown numbers showing up at the right side panel
Steps To Reproduce ./mame64
Additional Information makefile
 DEBUG = 1
 PTR64 = 1
 OPTIMIZE = 3
 SSE2 = 1
 OPT_FLAGS =-march=native -msse -msse2 -msse3 -msse4.1 -msse4.2 -mmmx -mavx -maes -mpclmul -m3dnow -mfma4 -mxop -mlwp -mpopcnt -mabm -m64
Flags
Regression Version
Affected Sets / Systems
Attached Files
png file icon MAME 2017-10-06 13-18-29.png (275,165 bytes) Oct 6, 2017, 16:29 Uploaded by wuemura
wuemura
png file icon Mame2.png (296,066 bytes) Oct 6, 2017, 21:17 Uploaded by wuemura
#2696 Fix
wuemura
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.14220
Tafoid
Administrator
Oct 6, 2017, 17:30
I'm unable to see such output in my regular or debug version of 0.190. MAMETESTERS is only for logging issues detected/fixed using integer release binaries only.

Your number of games indicates a very recent GIT Pull and using regular build from today end, I see the numbers as well.
Looks like October 2nd regression here: https://github.com/mamedev/mame/commit/2851d7d6cdfa06d67a060fe91c7b4dcc1acf86ab
As such, since the bug does not happen in integer version, I'm suspending this one. If it happens to still exist in 0.191, I will open and confirm at the 0.191 regression point. Otherwise, if fixed, the entry will be deleted.
User avatar
No.14221
wuemura
Tester
Oct 6, 2017, 18:37
This fix the issue:
https://github.com/mamedev/mame/pull/2696
User avatar
No.14222
Kale
Developer
Oct 6, 2017, 21:07
edited on: Oct 6, 2017, 21:07
I'm not sure how it could fix the reported issue?

User avatar
No.14223
wuemura
Tester
Oct 6, 2017, 21:18
It just did, I've upload a screen shot to prove it.
I'm not a developer by the way.
User avatar
No.14226
AJR
Developer
Oct 7, 2017, 00:13
Fixed in commit a2fbdf297f61806a0cf93ec5c35fbe4d77da549d. Operator precedence was the problem.
User avatar
No.14231
Tafoid
Administrator
Oct 7, 2017, 01:54
Again, since this is was never in an integer release, keeping it here will only cause confusion.
Closing once again.